# - Try to find ds485-core
# Once done this will define
#
#  DS485-CORE_FOUND - system has ds485-core
#  DS485-CORE_INCLUDE_DIRS - the ds485-core include directory
#  DS485-CORE_LIBRARIES - Link these to use ds485-core
#  DS485-CORE_DEFINITIONS - Compiler switches required for using ds485-core
#
#  Copyright (c) 2010 digitalSTROM.org <dss-developer@forum.digitalstrom.org>
#
#  Redistribution and use is allowed according to the terms of the New
#  BSD license.
#  For details see the accompanying COPYING-CMAKE-SCRIPTS file.
#


if (DS485-CORE_LIBRARIES AND DS485-CORE_INCLUDE_DIRS)
  # in cache already
  set(DS485-CORE_FOUND TRUE)
else (DS485-CORE_LIBRARIES AND DS485-CORE_INCLUDE_DIRS)
  find_path(DS485-CORE_INCLUDE_DIR
    NAMES
      ds.h ds485.h ds485-core.h ds485-const.h
    PATHS
      /usr/include
      /usr/local/include
      /opt/local/include
      /sw/include
    PATH_SUFFIXES
      digitalSTROM
  )

  find_library(DS485-CORE_LIBRARY
    NAMES
      ds485-core
    PATHS
      /usr/lib
      /usr/local/lib
      /opt/local/lib
      /sw/lib
  )

  set(DS485-CORE_INCLUDE_DIRS
    ${DS485-CORE_INCLUDE_DIR}
  )
  set(DS485-CORE_LIBRARIES
    ${DS485-CORE_LIBRARY}
)

  if (DS485-CORE_INCLUDE_DIRS AND DS485-CORE_LIBRARIES)
     set(DS485-CORE_FOUND TRUE)
  endif (DS485-CORE_INCLUDE_DIRS AND DS485-CORE_LIBRARIES)

  if (DS485-CORE_FOUND)
    if (NOT ds485-core_FIND_QUIETLY)
      message(STATUS "Found ds485-core: ${DS485-CORE_LIBRARIES}")
    endif (NOT ds485-core_FIND_QUIETLY)
  else (DS485-CORE_FOUND)
    if (ds485-core_FIND_REQUIRED)
      message(FATAL_ERROR "Could not find ds485-core")
    endif (ds485-core_FIND_REQUIRED)
  endif (DS485-CORE_FOUND)

  # show the DS485-CORE_INCLUDE_DIRS and DS485-CORE_LIBRARIES variables only in the advanced view
  mark_as_advanced(DS485-CORE_INCLUDE_DIRS DS485-CORE_LIBRARIES)

endif (DS485-CORE_LIBRARIES AND DS485-CORE_INCLUDE_DIRS)

